*
{
	margin:0;                     /* Pour enlever les marges du navigateur */
	padding:0;
    box-sizing: border-box;       /* Inclut les bordures et les rembourrages dans la largeur et la hauteur spécifiées */
}

a
{                                 /* Balise pour les liens */
    text-decoration: none;        /* Permet d'enlever le soulignement des liens */
}

body
{
    background-color: #F7F7F7;
    font-family: sans-serif;
}

.bloc-connexion
{
    display: flex;
    flex-direction: column;
    justify-content: center;       /* Aligne verticalement */
    align-items: center;           /* Aligne horizontalement (flex-direction: column)*/
    min-height: 100vh;             /* 100% de la hauteur de la fenêtre visible */
}

.bloc-connexion img                /* Logo BBF Bank */
{
    width: 300px;
    height: auto;
}

.bloc-connexion .espace-connexion
{
    width: 420px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.4);  /* Pour avoir une ombre autour de l'image */
    border-radius: 10px;
    padding: 30px 40px;            /* Haut et bas = 30px / gauche et droite = 40px */
}

.bloc-connexion .espace-connexion h1
{
    font-size: 23px;
    text-align: center;
    margin-bottom: 20px;           /* Met un espace entre le titre et l'id */
}

.bloc-connexion .espace-connexion h2
{
    font-size: 26px;
    text-align: center;
}

.bloc-connexion .espace-connexion .connexion
{
    width: 100%;
    height: 45px;
    border:none;
    border-radius: 40px;
    text-transform: uppercase;
    background-color: #BB2332;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    cursor: pointer;                /* Change le pointer de souris au survole du bouton */
    color: black;
    font-weight: 400;
    margin-top: 20px;               /* Met un espace entre l'id et le bouton */
    margin-bottom: 6px;
}